FolksDummy.FullPersona.update_structured_name – folks-dummy Reference Manual

# update_structured_name

## Description:

public void update_structured_name (StructuredName? structured_name)

Update persona's structured name.

This simulates a backing-store-side update of the persona's Folks.NameDetails.structured_name property. It is intended to be used for testing code which consumes this property. If the property value changes, this results in a property change notification on the persona.

## Parameters:

structured_name | persona's new structured name

## Since:

0.9.7